PATCH /v1/work-planning/entries/{id} PATCH /v1/work-planning/entries/{id}
Update a work schedule entry (DAY or PERIOD). DAY: own non-approved entries require work_schedule_edit_own; APPROVED is rejected. PERIOD: no status guard.
Request Body
Name Typ Beschreibung plannedStartTimestringplannedEndTimestringplannedBreakMinutesnumberplannedBreakStartTimestringplannedBreakEndTimestringlocationstringlocationIdstringlocationNotestringreasonstringvalidFromstring<date>validTostring<date>weeklyHoursnumberweeklySchedulearraynotestring
Pfad-Parameter
Name Typ Beschreibung iderforderlich string
Beispiel
curl -X PATCH https://api.codemeta-os.de/v1/work-planning/entries/{id} \
-H "X-Tenant-Id: $TENANT " \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"plannedStartTime": "string",
"plannedEndTime": "string",
"plannedBreakMinutes": 0,
"plannedBreakStartTime": "string",
"plannedBreakEndTime": "string",
"location": "OFFICE",
"locationId": "string",
"locationNote": "string",
"reason": "string",
"validFrom": "string",
"validTo": "string",
"weeklyHours": 0,
"weeklySchedule": [],
"note": "string"
}' const result = await cm.work - planning. patch ({
"plannedStartTime" : "string" ,
"plannedEndTime" : "string" ,
"plannedBreakMinutes" : 0 ,
"plannedBreakStartTime" : "string" ,
"plannedBreakEndTime" : "string" ,
"location" : "OFFICE" ,
"locationId" : "string" ,
"locationNote" : "string" ,
"reason" : "string" ,
"validFrom" : "string" ,
"validTo" : "string" ,
"weeklyHours" : 0 ,
"weeklySchedule" : [],
"note" : "string"
});
Antwortcodes
HTTP
Bedeutung
200
Default Response
Beschreibung folgt
Diese Operation hat noch keine kuratierte Annotation. Der Inhalt wird beim nächsten Doku-Update ergänzt.